XScreenSaver(1)

NAME
ant - cellular automaton.

SYNOPSIS
ant [-display host:display.screen] [-visual visual] [-window] [-install] [-noinstall] [-root] [-eyes] [-no-eyes] [-truchet] [-no-truchet] [-sharpturn] [-no-sharpturn] [-delay number] [-cycles number] [-count number] [-size number] [-neighbors 3] [-neighbors 4] [-neighbors 6] [-neighbors 9] [-neighbors 12] [-ncolors number] [-fps]

DESCRIPTION
A cellular automaton that is really a two-dimensional Turing machine: as the heads ("ants") walk along the screen, they change pixel values in their path. Then, as they pass over changed pixels, their behavior is influenced.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-sharpturns | -no-sharpturns
    Whether to do sharp turns.

-truchet | -no-truchet
    Whether to use truchet lines.

-eyes | -no-eyes
    Whether to draw eyes on the ants.

-delay number
    Per-frame delay, in microseconds. Default: 1000 (0.0001 seconds.).

-cycles number
    How long to wait until resetting. 0 - 800000. Default: 40000.

-count number
    Ants Count.  -20 - 20.    Default: -3.

-size number
    Ant Size. -18 - 18. Default: -12.

-neighbors N
    How many neighbors each cell has. Legal values are 3, 4, 6, 9, and 12.

-ncolors number
    Number of colors. Default: 64.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by David Bagley. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
David Bagley.